Package com.logicaldoc.core.searchengine.indexer

# Class IndexerStats

java.lang.Object
com.logicaldoc.core.task.DocumentProcessorStats
com.logicaldoc.core.searchengine.indexer.IndexerStats

public class IndexerStats extends DocumentProcessorStats
Statistics of an indexing

Since:
  9.2
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`IndexerStats()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getIndexingTime()`
`long`
`getParsingTime()`
`void`
`setIndexingTime(long indexingTime)`
`void`
`setParsingTime(long parsingTime)`

### Methods inherited from class com.logicaldoc.core.task.DocumentProcessorStats

`getErrors, getProcessed, setErrors, setProcessed`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IndexerStats

public IndexerStats()

## Method Details

### getIndexingTime

public long getIndexingTime()

### setIndexingTime

public void setIndexingTime(long indexingTime)

### getParsingTime

public long getParsingTime()

### setParsingTime

public void setParsingTime(long parsingTime)